{% extends "base.html" %}

{% block content %}
    <main class="main">
        <div class="project-list">
            <p class="create">
                <a href="{% url "create_project" %}">
                    <button type="button" class="button">
                        <span class="button__text">
                        Create project
                        </span>
                        <span class="button__icon">
                            <ion-icon name="add-circle-outline"></ion-icon>
                        </span>
                    </button>
                </a>
            </p>
            {% if project_list|length == 0 %}
                <p>You are not assigned to any projects</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th style="width: 70%;">Name</th>
                            <th style="width: 30%;">Number of tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in project_list %}
                            <tr>
                                <td>
                                    <a href="{% url "show_project" project.id %}">{{ project.name }}</a>
                                </td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>

                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
